// Wrapper for jQuery
(function ($) {
mkdru.FormHandler = function () {};

// update mkdru_form theme's ui to match state
mkdru.FormHandler.prototype.fromState = function () {
  for (var key in mkdru.state) {
    switch(key) {
    case 'query':
      $('.mkdru-search input:text').attr('value', mkdru.state[key]);
      break;
    case 'perpage':
      $('.mkdru-perpage').attr('value', mkdru.state[key]);
      break;
    case 'sort':
      $('.mkdru-sort').attr('value', mkdru.state[key]);
      break;
    }
  }
};

mkdru.FormHandler.prototype.updateCriteria = function () {
  mkdru.state.perpage = $('.mkdru-perpage').attr('value');
  mkdru.state.sort = $('.mkdru-sort').attr('value');
};

mkdru.FormHandler.prototype.updateState = function () {
  mkdru.state.query = $('.mkdru-search input:text').attr('value');
  mkdru.form.updateCriteria();
};

// called when the DOM is ready
mkdru.FormHandler.prototype.init = function () {
  $(window).bind( 'hashchange', mkdru.hashChange);
  $('.mkdru-search').bind('submit', mkdru.submitQuery);
  $('.mkdru-search input:text').attr('value', '');
  // sort and results per page are criteria of pz2.show(),
  // changing these does not need to trigger a whole search
  $('.mkdru-perpage').bind('change', mkdru.submitCriteria);
  $('.mkdru-sort').bind('change', mkdru.submitCriteria);
};

mkdru.form = new mkdru.FormHandler();
})(jQuery);
